CONNECT '_ROZLICZENIA2020.FB' USER 'SYSDBA' PASSWORD 'masterkey';

CREATE DOMAIN D_NR_REGON AS VARCHAR(10) CHARACTER SET WIN1250 COLLATE WIN1250;

CREATE GENERATOR GEN_OP_ID;

CREATE TABLE OPERATOR (
    OP_ID           INTEGER NOT NULL,
    OP_NAZWISKO     STR80,
    OP_IMIE         STR80,
    OP_PASS         STR256,
    OP_CZAS         TIMESTAMP,
    OP_USUNIETY     CHAR(1),
    OP_ZALOGOWANY   CHAR(1),
    OP_UPRAWNIENIA  INTEGER
);

ALTER TABLE OPERATOR ADD CONSTRAINT PK_OPERATOR PRIMARY KEY (OP_ID);

SET TERM ^ ;

/* Trigger: OPERATOR_BI */
CREATE OR ALTER TRIGGER OPERATOR_BI FOR OPERATOR
ACTIVE BEFORE INSERT POSITION 0
AS
BEGIN
  IF (NEW.OP_ID IS NULL) THEN
    NEW.OP_ID = GEN_ID(GEN_OP_ID,1);
  IF (NEW.op_usuniety IS NULL) THEN
    NEW.op_usuniety = 'N';

END
^
SET TERM ; ^

INSERT INTO OPERATOR (OP_ID, OP_NAZWISKO, OP_IMIE, OP_PASS, OP_CZAS, OP_USUNIETY, OP_ZALOGOWANY, OP_UPRAWNIENIA)
              VALUES (1, 'Administrator', 'Naczelny', NULL, NULL, 'N', NULL, 65535);

UPDATE WERSJA SET WER_SUBVER = 2 WHERE (WER_ID = -1);

COMMIT WORK;